Page MenuHomePhabricator

Add csteipp as volunteer with access to security tasks
Closed, ResolvedPublic

Description

My role with the WMF is transitioning, but I'd like to continue working on mediawiki security as a volunteer.

@RobLa has agreed to sponsor me as a volunteer.

My phabricator account will (soon) be disassociated with my WMF account, and reassociated with my personal wiki account. I would like to continue using this account for future work.

Event Timeline

csteipp created this task.May 27 2016, 10:06 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 27 2016, 10:06 PM

Is this a volunteer NDA request?

@RobLa has agreed to sponsor me as a volunteer.

Confirmed.

Is L2 still the correct agreement to sign?

Is L2 still the correct agreement to sign?

According to https://wikitech.wikimedia.org/wiki/Volunteer_NDA, I believe so. Since I already have access to it, I'll go ahead and sign.

A C-level needs to approve. That would be @Wwes .

A C-level needs to approve. That would be @Wwes .

@Wwes: Could you approve volunteer access here please? Thanks!

Restricted Application removed a subscriber: Zppix. · View Herald TranscriptJul 22 2016, 10:44 AM

Apologies on the delay. Approved.

Errm, I think what's described in this task has already happened: The Phabricator account @csteipp (now not associated anymore with a WMF on-wiki SUL account) is (still) a member of WMF-NDA and Security in Phab. The latter is used for ACL in Phab.

Wondering what's exactly left to do in this task?

(FYI, Chris' unproviliged Phab user account @Stype_and_Co.-WMF is also a member of Security, not sure if that's an issue?)

Anything left to do in this task? Last call...

Aklapper closed this task as Resolved.Aug 22 2016, 7:11 AM

No replies. Closing.